Subject: RE: [Sigtran] Open Issue 3rd M3UA Plugtest: NTFY

From: "Javier Pastor-Balbas (ECE)" <[email-masked]>
Date: Wed, 11 Dec 2002 15:29:54 +0100

Brian, 

I agree, let's see if there is any proposal from those who wanted changes...

Cheers // Javier.

> -----Original Message-----
> From: Brian F. G. Bidulock [mailto:[email-masked]]
> Sent: Wednesday, December 11, 2002 1:02 PM
> To: Javier Pastor-Balbas (ECE)
> Cc: 'Tolga Asveren'; [email-masked]
> Subject: Re: [Sigtran] Open Issue 3rd M3UA Plugtest: NTFY
> 
> 
> Javier,
> 
> Javier Pastor-Balbas (ECE) wrote:                 (Wed, 11 
> Dec 2002 12:29:04)
> > Brian, 
> > 
> > I'm just trying to find out why people have so many problems in
> > understanding when NTFY is mandatory and when not... And 
> specially finding a
> > solution to avoid it. We had discussions whether put must 
> or MUST in more
> > than one ocassion. And my perception is that "must" is not 
> as clear as
> > "MUST".
> > 
> > On the other hand one of the purposes of the Plugtest is 
> making sure that
> > all the people reading the spec have a common 
> understanding. In this case as
> > the common understanding has not got, we have to fix the 
> document in order
> > to achieve it.
> > 
> > From your mails I infer that you prefer not to change the 
> document and
> > leave NTFY wordings as they are. Since there were several 
> people in the
> > bake-off stating the opposite, I think that the issue is 
> still open and
> > needs a solution. For sure having all the reqs and uses of 
> NTFY spreaded
> > along all the section does not help...
> > 
> > IMHO, a good solution would be to put all the NTFY reqs 
> together and with a
> > common notation to make it clear whether this message is 
> mandatory or not.
> 
> Let those who want changes propose text, and let them propose it here.
> 
> The only text proposal we have seen is changing MAY to MUST in section
> 4.3.4.4, which is unacceptable for the reasons already stated 
> (the SGP might
> not know the value of "n" because it does not appear in any 
> message, as does,
> for example, traffic mode).  We discussed adding "n" to 
> traffic mode in ASPTM,
> but it was rejected and so we make the NTFY a MAY instead of a MUST.
> 
> If you want to rewrite the Notify section, it should be done 
> for M2UA and
> SUA as well (because these share the common text).  It is 
> probably outside
> the scope of the M3UA IG to rewrite entire sections of the 
> text for M2UA,
> M3UA and SUA.  So, if the changes are extensive, it would be 
> better in a
> separate draft.
> 
> If the changes are minor, and can be pulled into the M2UA IG, 
> the M3UA IG
> and the SUA IG easily enough, let us see the text proposal in the WG.
> 
> > 
> > I appreciate your valuable feedback (comments below). :-)
> > 
> > 
> > Thanks  // Javier.
> > 
> > > Javier,
> > > 
> > > There is no difference between "must" and "MUST".  Both have the
> > > same force and effect.  At least that's what Scott tells us, and
> > > since he wrote the RFC on it, he must/MUST be right.
> > > 
> > > Although these keywords are usually capitalized, not capitalizing
> > > them does not lessen their effect.
> > > 
> > It is not that clear... People may get confused...
> 
> Scott's last note on the subject was clear as mud.  If RFC 2119 is not
> clear to them, let them ask the author (as I did) or discuss it in the
> appropriate working group.  (I have attached Scott's note on 
> the subject
> to this working group from January of this year.)
> 
> Changing the "must" to "MUST" and "should" to "SHOULD" was something
> that the editors should have done before the RFC went to press.
> 
> You could put in the IG that all "must"s are to be interpreted as
> "MUST"s, but the reference to RFC 2119 already accomplishes this.
> RFC 2119 says that "These words are often capitalized." but there
> is no requirement in the RFC to do so.
> 
> > 
> > > Besides, I'm sure Tolga was referring to section 4.3.4.3 
> which says:
> > > 
> > > 	" ... The SGP or IPSP then MUST send a Notify message
> > > 	 ("Alternate ASP_Active") to the previously active ASP in
> > > 	 the AS, and SHOULD stop traffic to/from that ASP. ... "
> > > 
> > > I think this is fairly clear that sending of "Alternate 
> ASP Active"
> > > is a MUST.
> > > 
> > 
> > I agree, but it is not easy to find it. It is out of the 
> NTFY procedures
> > section...
> 
> RFCs are published as text documents so that simple text-based
> tools can be used to search them.  If you search on "Alternate" you
> will find only four occurences in the document, three close together
> in the Notify message description section, and the fourth in the
> passage cited.  It took me about 200ms to find this passage.
> Moving it will not decrease the search time significantly.
> 
> --brian
> 
> -- 
> Brian F. G. Bidulock
> [email-masked]
> http://www.openss7.org/
> 
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran